/**
 * The remark plugin for supporting data meta
 *
 * @returns
 *   Transform.
 */
export function remarkDataMeta(): (tree: MRoot) => void;
/**
 * Rehype elements with data meta attribute
 *
 * @returns
 *   Transform.
 */
export function rehypeDataMeta(): (tree: HRoot) => void;
export type HRoot = import("hast").Root;
export type MRoot = import("mdast").Root;
